#!/bin/bash

NSLOTS=16

# equilibration

if [ ! -L step6.0_eq_1.gro ]; then ln -s em.gro step6.0_eq_1.gro; fi;

for i in {1..6};
do
    ii=$(($i-1));
    gmx grompp -f step6."$i"_equilibration.mdp -o step6."$i"_eq_1.tpr -c step6."$ii"_eq_1.gro -r step5_charmm2gmx.pdb -n index.ndx -p topol.top;
    gmx mdrun -nt $NSLOTS -pin on -v -deffnm step6."$i"_eq_1 -gputasks 0123 -nb gpu -pme gpu -npme 1 -ntmpi 4;
done;

echo 'Temperature' | gmx energy -f step6.6_eq_1.edr -o step6.6_eq_temp_1.xvg
echo 'Pressure' | gmx energy -f step6.6_eq_1.edr -o step6.6_eq_press_1.xvg

# production
gmx grompp -f step7_production.mdp -o md_1.tpr -c step6.6_eq_1.gro -r step5_charmm2gmx.pdb -n index.ndx -p topol.top
gmx mdrun -nt $NSLOTS -pin on -v -deffnm md_1 -gputasks 0123 -nb gpu -pme gpu -npme 1 -ntmpi 4
