#! /bin/bash

#SBATCH --job-name=equi2 -o out.equi2 -e err.equi2
#SBATCH --nodes=1 --ntasks-per-node=4
#SBATCH --partition=gpu
#SBATCH --mem-per-cpu=1000 --exclusive

unset OMP_NUM_THREADS
NSLOTS=4

# equilibration
gmx grompp -f step6.1_equilibration.mdp -o step6.1_eq.tpr -c md_2_2807.pdb -r md_2_2807.pdb -n index.ndx -p topol.top
gmx mdrun -nt $NSLOTS -pin on -v -deffnm step6.1_eq -plumed plumi.dat

for i in {2..6};
do
    ii=$(($i-1));
    gmx grompp -f step6."$i"_equilibration.mdp -o step6."$i"_eq.tpr -c step6."$ii"_eq.gro -r md_2_2807.pdb -n index.ndx -p topol.top
    gmx mdrun -nt $NSLOTS -pin on -v -deffnm step6."$i"_eq -plumed plumi.dat
done

gmx grompp -f step7.equi.mdp -o equi2.tpr -c step6.6.gro -r md_2_2807.pdb -n index.ndx -p topol.top
gmx mdrun -nt $NSLOTS -pin on -v -deffnm equi2 -plumed equi2.plumi.dat
